# Tests by default. No tests: rpmbuild -ba --define 'dotests 0' *.spec
%{!?dotests: %define dotests 1}
Name:         ipmitool
Summary:      Utility for IPMI control
Version:	1.8.19
Release:	1
License:      BSD
Group:        System Environment/Base
URL:          https://ipmitool.sourceforge.net/
Source0:	https://codeberg.org/IPMITool/ipmitool/archive/ipmitool-%{version}.tar.gz
Source1:      openipmi-ipmievd.sysconf
Patch0:       %{name}-1.8.18-aix.patch
Patch1:       %{name}-1.8.19-0001-Do-not-require-the-IANA-PEN-registry-file.patch

BuildRequires:	AIX-rpm >= 7.1.5.36
BuildRequires:	patch
BuildRequires:	gcc >= 10.3.0

Requires:	AIX-rpm >= 7.1.5.36

%description
This package contains a utility for interfacing with devices that support
the Intelligent Platform Management Interface specification.  IPMI is
an open standard for machine health, inventory, and remote power control.

This utility can communicate with IPMI-enabled devices over the RMCP LAN
protocol defined in the IPMI specification.  IPMIv2 adds support for
encrypted LAN communications and remote Serial-over-LAN functionality.

It provides commands for reading the Sensor Data Repository (SDR) and
displaying sensor values, displaying the contents of the System Event
Log (SEL), printing Field Replaceable Unit (FRU) information, reading and
setting LAN configuration, and chassis power control.

%package -n ipmievd
Requires: ipmitool = %{version}
Summary: IPMI event daemon for sending events to syslog

%description -n ipmievd
ipmievd is a daemon which will listen for events from the BMC that are
being  sent to the SEL and also log those messages to syslog.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q -n %{name}
%patch0
%patch1 -p1


%build
export CONFIG_SHELL=/opt/freeware/bin/bash
export CONFIG_ENV_ARGS=/opt/freeware/bin/bash

export CC=%{__cc__}
export OBJECT_MODE=64
export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O -I/opt/freeware/include -O2 -maix64"

export LDFLAGS="-L/opt/freeware/lib64 -L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib64:/opt/freeware/lib:/usr/lib:/lib"

autoreconf -fiv
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static \
    --disable-solaris-opt \
    --disable-internal-md5 \
    --enable-intf-lan \
    --disable-intf-usb \
    --enable-intf-lanplus \
    --disable-intf-serial \
    --disable-intf-free \
    --disable-intf-open \
    --disable-intf-imb \
    --disable-intf-lipmi \
    --disable-ipmishell \
    --enable-file-security

gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

export OBJECT_MODE=64
gmake DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :
/usr/bin/strip ${RPM_BUILD_ROOT}%{_sbindir}/* || :

install -Dpm 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/ipmievd


%if %{dotests}
%check
gmake -k check || true
%endif


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc %{_datadir}/doc/%{name}
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}

%files -n ipmievd
%defattr(-,root,system,-)
%config(noreplace) %{_sysconfdir}/sysconfig/ipmievd
%{_sbindir}/*
%{_mandir}/man8/*

%changelog
* Thu Mar 28 2024 Raghu N Arava <raghuara@in.ibm.com> - 1.8.19-1 
- Update to version 1.8.19

* Fri Aug 07 2020 Reshma V Kumar <reskumar@in.ibm.com> - 1.8.18-1
- Initial build for AIX Toolbox

* Mon Nov 21 2016 Michael Perzl <michael@perzl.org> - 1.8.18-2
- recompiled against latest versions

* Mon Oct 10 2016 Michael Perzl <michael@perzl.org> - 1.8.18-1
- updated to version 1.8.18

* Tue Sep 20 2016 Michael Perzl <michael@perzl.org> - 1.8.17-1
- updated to version 1.8.17

* Mon May 02 2016 Michael Perzl <michael@perzl.org> - 1.8.16-1
- updated to version 1.8.16

* Fri Mar 04 2016 Michael Perzl <michael@perzl.org> - 1.8.15-2
- compiled against latest version of openssl

* Thu Dec 11 2014 Michael Perzl <michael@perzl.org> - 1.8.15-1
- updated to version 1.8.15

* Thu Dec 11 2014 Michael Perzl <michael@perzl.org> - 1.8.14-1
- updated to version 1.8.14

* Sat Apr 05 2014 Michael Perzl <michael@perzl.org> - 1.8.13-1
- first version for AIX V5.1 and higher
